#!/bin/sh

# PROVIDE: ircd-ratbox
# REQUIRE: DAEMON
# BEFORE:  LOGIN

. /etc/rc.subr

name="ircd_ratbox"
rcvar=`set_rcvar`
load_rc_config $name

ircd_ratbox_enable=${ircd_ratbox_enable:-"NO"}
ircd_ratbox_user=${ircd_ratbox_user:-"ircd"}
ircd_ratbox_group=${ircd_ratbox_group:-"ircd"}

command="/usr/local/bin/ircd"
pidfile=/var/run/ircd-ratbox/ircd.pid
required_files="/usr/local/etc/ircd-ratbox/ircd.conf"

start_precmd=prestart
stop_precmd=prestop

prestart()
{
	touch $pidfile
	chown $ircd_ratbox_user:$ircd_ratbox_group $pidfile
}

prestop()
{
	rm -f $pidfile
}

run_rc_command "$1"
